<!DOCTYPE html>
<html lang="en" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <meta name="generator" content="Hugo 0.34" />
    <meta name="description" content="">


    <link rel="shortcut icon" href="/images/favicon.ico" type="image/x-icon" />
<link rel="icon" href="/images/favicon.ico" type="image/x-icon" />

    <title>Index :: FiFo.Cloud Docs</title>
    
    
    <link href="/css/nucleus.css?1523583779" rel="stylesheet">
    <link href="/css/font-awesome.min.css?1523583779" rel="stylesheet">
    <link href="/css/hybrid.css?1523583779" rel="stylesheet">
    <link href="/css/featherlight.min.css?1523583779" rel="stylesheet">
    <link href="/css/perfect-scrollbar.min.css?1523583779" rel="stylesheet">
    <link href="/css/auto-complete.css?1523583779" rel="stylesheet">
    <link href="/css/theme.css?1523583779" rel="stylesheet">
    <link href="/css/hugo-theme.css?1523583779" rel="stylesheet">
    
      <link href="/css/theme-fifo.css?1523583779" rel="stylesheet">
    

    <script src="/js/jquery-2.x.min.js?1523583779"></script>
    
    <style type="text/css">
      :root #header + #content > #left > #rlblock_left{ 
          display:none !important;
      }
      
    </style>
    
<script src="https://use.fontawesome.com/5c4a1841ce.js"></script>
  </head>
  <body class="" data-url="/">
    <nav id="sidebar" class="">



  <div id="header-wrapper">
    <div id="header">
      <a href="/"><h2 color="#FFF">FiFo.Cloud</h3></a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fa fa-search"></i></label>
    <input data-search-input id="search-by" type="text" placeholder="Search...">
    <span data-search-clear=""><i class="fa fa-close"></i></span>
</div>

<script type="text/javascript" src="/js/lunr.min.js?1523583779"></script>
<script type="text/javascript" src="/js/auto-complete.js?1523583779"></script>
<script type="text/javascript">
    
        var baseurl = "https:\/\/docs.fifo.cloud\/";
    
</script>
<script type="text/javascript" src="/js/search.js?1523583779"></script>

    
  </div>

    <div class="highlightable">
    <ul class="topics">

        
          
          


 
  
    
    <li data-nav-id="/cloud-ui/" title="Cloud UI" class="dd-item 
        
        
        
        ">
      <a href="/cloud-ui/">
          Cloud UI
          
      </a>
      
      
        <ul>
          
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/registration/" title="Registration" class="dd-item ">
        <a href="/cloud-ui/registration/">
        Registration
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/hosts/" title="Hosts" class="dd-item ">
        <a href="/cloud-ui/hosts/">
        Hosts
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/vms/" title="VMs" class="dd-item ">
        <a href="/cloud-ui/vms/">
        VMs
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/packages/" title="Packages" class="dd-item ">
        <a href="/cloud-ui/packages/">
        Packages
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/networks/" title="Networks" class="dd-item ">
        <a href="/cloud-ui/networks/">
        Networks
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/datasets/" title="Datasets" class="dd-item ">
        <a href="/cloud-ui/datasets/">
        Datasets
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/keys/" title="SSH Keys" class="dd-item ">
        <a href="/cloud-ui/keys/">
        SSH Keys
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/account/" title="Account" class="dd-item ">
        <a href="/cloud-ui/account/">
        Account
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/cloud-ui/characteristics/" title="Characteristics" class="dd-item ">
        <a href="/cloud-ui/characteristics/">
        Characteristics
        
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
          


 
  
    
    <li data-nav-id="/howtos/" title="Howtos" class="dd-item 
        
        
        
        ">
      <a href="/howtos/">
          Howtos
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/howtos/getting-started/" title="Getting Started" class="dd-item ">
        <a href="/howtos/getting-started/">
        Getting Started
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/howtos/public-cloud-ip/" title="Packet.Net Public IP Addresses" class="dd-item 
        
        
        
        ">
      <a href="/howtos/public-cloud-ip/">
          Packet.Net Public IP Addresses
          
      </a>
      
      
        <ul>
          
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/howtos/public-cloud-ip/request-packet-ip/" title="1. Request Packet IP Range" class="dd-item ">
        <a href="/howtos/public-cloud-ip/request-packet-ip/">
        1. Request Packet IP Range
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/howtos/public-cloud-ip/add-api-token/" title="2. Create Packet API Token" class="dd-item ">
        <a href="/howtos/public-cloud-ip/add-api-token/">
        2. Create Packet API Token
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/howtos/public-cloud-ip/add-fifo-ip-range/" title="3. Add Fifo.Cloud IP Range" class="dd-item ">
        <a href="/howtos/public-cloud-ip/add-fifo-ip-range/">
        3. Add Fifo.Cloud IP Range
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/howtos/public-cloud-ip/create-fifo-host/" title="4. Create host on FiFo.Cloud" class="dd-item ">
        <a href="/howtos/public-cloud-ip/create-fifo-host/">
        4. Create host on FiFo.Cloud
        
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/howtos/public-cloud-ip/create-packet-host/" title="5. Create host on Packet" class="dd-item ">
        <a href="/howtos/public-cloud-ip/create-packet-host/">
        5. Create host on Packet
        
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
          


 
  
    
    <li data-nav-id="/api/" title="API" class="dd-item 
        
        
        
        ">
      <a href="/api/">
          API
          
      </a>
      
      
        <ul>
          
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/api/v1/" title="" class="dd-item ">
        <a href="/api/v1/">
        V1
        
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
         
    </ul>

    
    
      <section id="shortcuts">
        <h3>More</h3>
        <ul>
          
              <li class="" role=""> 
                  <a class="padding" href="https://fifo.cloud"><i class='fa fa-cloud'></i> FiFo.Cloud</a>
              </li>
          
              <li class="" role=""> 
                  <a class="padding" href="https://twitter.com/project_fifo"><i class='fa fa-twitter'></i> FiFo on Twitter</a>
              </li>
          
              <li class="" role=""> 
                  <a class="padding" href="https://gitlab.com/Project-FiFo/fifo.cloud"><i class='fa fa-gitlab'></i> Gitlab repo</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="footer">
      <p>Built with <a href="https://github.com/matcornic/hugo-theme-learn"><i class="fa fa-heart"></i></a> from <a href="http://getgrav.org">Grav</a> and <a href="http://gohugo.io/">Hugo</a></p>

    </section>
  </div>
</nav>





        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              

        
        <div id="body-inner">
          

        

<span id="sidebar-toggle-span">
<a href="#" id="sidebar-toggle" data-sidebar-toggle=""><i class="fa fa-bars"></i> navigation</a>
</span>

 


<h1 id="fifo-cloud-documentation">Fifo.Cloud Documentation</h1>

<p>Classical cloud management solutions like OpenStack, SDC, or even Project-FiFo itself require you to colocate the management infrastructure alongside the hosts. Colocating the management infrastructure comes with some problems, starting from cost over enforced locality to the knowledge necessary to run cloud management solutions.</p>

<p>With FiFo Cloud we are taking a different approach to the problem. The fault tolerant architecture that lays the foundation of FiFo allows us to move the management infrastructure offside with minimal risk to running applications. This completely removes infrastructure cost, knowledge costs and provides management to span many sites and even different providers</p>

<p>Fifo.cloud retains Project-FiFo’s ability to scale to many hosts and manage massive numbers of containers, but it also eliminates the overhead of running on-premise Project-FiFo. With all the orchestration provided as a service, only a small agent must be installed on the host. FiFo-agent requires only a few dozen megabytes of memory, contrasted to other solutions that need gigabytes or even entire servers’ worth of resources.</p>
	
  
        
        </div> 
        

      </div>

    <div id="navigation">
        
        
        
        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
        
        


        
        
            <a class="nav nav-next" href="/cloud-ui/" title="Cloud UI" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
        
    </div>

    </section>
    
    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/js/clipboard.min.js?1523583779"></script>
    <script src="/js/perfect-scrollbar.min.js?1523583779"></script>
    <script src="/js/perfect-scrollbar.jquery.min.js?1523583779"></script>
    <script src="/js/jquery.sticky.js?1523583779"></script>
    <script src="/js/featherlight.min.js?1523583779"></script>
    <script src="/js/html5shiv-printshiv.min.js?1523583779"></script>
    <script src="/js/highlight.pack.js?1523583779"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/js/modernizr.custom.71422.js?1523583779"></script>
    <script src="/js/learn.js?1523583779"></script>
    <script src="/js/hugo-learn.js?1523583779"></script>

    <link href="/mermaid/mermaid.css?1523583779" type="text/css" rel="stylesheet" />
    <script src="/mermaid/mermaid.js?1523583779"></script>
    <script>
        mermaid.initialize({ startOnLoad: true });
    </script>
    

  </body>
</html>
